package com.fs.tzBankPay.doman;

import lombok.Data;

import java.text.SimpleDateFormat;
import java.util.Date;

@Data
public class TzBankParam <T>{
    T reqBody;
    ReqHeader reqHeader;




    public void  setTranSeq(String tranSeq) {
        if (this.reqHeader==null){
            this.reqHeader = new ReqHeader();
        }
        this.reqHeader.setTranSeq(tranSeq);
        this.reqHeader.setTranDate(new SimpleDateFormat("yyyyMMdd").format(new Date()));
    }

}
